# View All Complaints

<mark style="color:blue;">**Api used to view all complaints**</mark>

| Endpoint                                                                                                                               |
| -------------------------------------------------------------------------------------------------------------------------------------- |
| **Request:**<mark style="color:blue;">**GET /couapp/complaints/all?pageNo=0\&pageSize=5\&statusType= COMPLAINT\_OPEN\_SUCCESS**</mark> |

<mark style="color:blue;">**Request Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                | Property/Element Name | Mandatory | Data Type | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| -------------------------------------- | --------------------- | --------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| \[ROOT] (No parent property / element) | statusType            | M         | String    | Status of the complaint, possible values are - COMPLAINT\_OPEN\_SUCCESS COMPLAINT\_OPEN\_FAILED COMPLAINT\_CLOSURE\_SUCCESS COMPLAINT\_CLOSURE\_FAILED COMPLAINT\_REOPEN\_SUCCESS COMPLAINT\_REOPEN\_FAILED COMPLAINT\_STATUS\_UPDATE COMPLAINT\_REQUEST\_INITIATED COMPLAINT\_REQUEST\_SUCCESS COMPLAINT\_REQUEST\_FAILED COMPLAINT\_CLOSURE\_REQUEST\_SUCCE SS COMPLAINT\_CLOSURE\_REQUEST\_FAILE D COMPLAINT\_REOPEN\_REQUEST\_SUCCES S COMPLAINT\_REOPEN\_REQUEST\_FAILED COMPLAINT\_REASSIGN\_REQUEST\_SUCC ESS- COMPLAINT\_REASSIGN\_REQUEST\_FAILE D COMPLAINT\_REASSIGN\_SUCCESS COMPLAINT\_REASSIGN\_FAILED |
|                                        | page                  | C         | Numeric   | Page number for API Response Pagination                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
|                                        | pagesize              | C         | Numeric   | Page Size for API Response Pagination                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |

#### <mark style="color:blue;">Response Parameters</mark>

**The various parameters are explained below:**

| Parent Property/Element | Property/Element Name | Mandatory | Data Type | Description                                                        |
| ----------------------- | --------------------- | --------- | --------- | ------------------------------------------------------------------ |
| complaintsList          | complaintId           | M         | UUID      | Id for the complaint disposion                                     |
|                         | complaintDescr        | M         | String    | Complaint description                                              |
|                         | complaintDispos       | M         | String    | Complaint disposition                                              |
|                         | complaintType         | M         | String    | Type of the complaint                                              |
|                         | txnId                 | M         | String    | Transaction id for which the complaint is raised agains            |
|                         | complaintStatus       | M         | String    | Complaint Status from NPCI                                         |
|                         | assignedTo            | M         | String    | To Whom the complaint is assigned                                  |
|                         | complaintNpciId       | M         | String    | Npci id of the complaint                                           |
|                         | complaintRaisedFrom   | M         | String    | Who raised the complaint                                           |
|                         | userId                | M         | String    | User id of the one who raised the complaint                        |
|                         | status                | M         | String    | Status of the complaint                                            |
|                         | refId                 | M         | String    | Reference id                                                       |
|                         | estimated\_TAT        | M         | String    |                                                                    |
|                         | creationDate          | M         | String    | ISO 8601 Timestamp for the Complaint Creation date                 |
|                         | modifiedDate          | M         | String    | ISO 8601 Timestamp for the Complaint Modification date             |
|                         | billerName            | M         | String    | Biller Name                                                        |
|                         | txnAmount             | M         | String    | Txn Amount                                                         |
|                         | superLevelEsc         | M         | String    | Super Escalation (True/False)                                      |
|                         | openComplaint         | M         | String    | Flag indicating whether complaint is already open or not (Y/N)     |
|                         | reopenComplaint       | M         | String    | Flag indicating whether complaint is already reopened or not (Y/N) |
|                         | remarks               | M         | String    | Remarks                                                            |
|                         | agentId               | M         | String    | Agent ID                                                           |
|                         | category              | M         | String    | Category of the biller                                             |
|                         | createdEpochDate      | M         | Numeric   | UNIX Epoch Timestamp for the Complaint Creation date               |
|                         | modifiedEpochDate     | M         | Numeric   | UNIX Epoch Timestamp for the Complaint Modification date           |
| generalResp             | statusCode            | M         | Numeric   | 200- SUCCESS Other than 200-Failure                                |
|                         | status                | M         | String    | It is either “Success” or failure                                  |
|                         | message               | M         | String    | Contains the reason message for failure / success                  |

```json
{
"complaintsList": [
{
"assignedTo": "",
"comment": "",
"complaintDescr": "Testing complaint",\
"complaintDispos": "Transaction Successful, account not updated", 
"complaintId": "2dfecc3c-9114-4094-9aa8-ff26f03a9bfd", 
"complaintNpciId": "FE4123109489834",
"complaintRaisedFrom": "agent", 
"complaintType": "npciComplaint", 
"createdEpochDate": 1681905485, 
"creationDate": "2023-04-19T17:28:05.508679Z",
"estimated_TAT": "",
"modifiedDate": "2023-04-24T10:07:51.756969Z",
"modifiedEpochDate": 1682311071,
"refId": "mqcXfZs2XMkRKQfpIwoSYQDnIr231091728", 
"status": "COMPLAINT_OPEN_SUCCESS",
"txnId": "24fe190c-42c9-4cb5-9d36-965839b0cb5f", 
"userId": "FE41FE42BNK519012345",
"category": "Education Fees",
"billerName": "Meerut Institute Of Technology test", 
"txnAmount": 50000,
"totalTxnAmount": 50000, 
"complaintStatus": "", 
"superLevelEsc": "",
"openComplaint": "", 
"reopenComplaint": "", 
"remarks": "",
"agentId": "FE41FE42BNK519012345"
}
],
"generalResp": {
"message": "Complaints retrieved successfully", 
"remarks": "",
"status": "success", 
"statusCode": "200"
},
"pageNo": 0,
"pageSize": 1,
"totalPages": 1,
"totalElements": 1
}


```

**Status and its meaning :-**

Open Complaint - COMPLAINT\_OPEN\_SUCCESS Failed Complaint - COMPLAINT\_OPEN\_FAILED Closed Complaint - COMPLAINT\_CLOSURE\_SUCCESS Closure Failed Complaint - COMPLAINT\_CLOSURE\_FAILED ReOpened Complaints - COMPLAINT\_REOPEN\_SUCCESS ReOpen Failed Complaints - COMPLAINT\_REOPEN\_FAILED Status Updated Complaints (508 Alert) - COMPLAINT\_STATUS\_UPDATE Complaint Request Initiated from Biller/Agent - COMPLAINT\_REQUEST\_INITIATED Complaint Requested from Biller/Agent - COMPLAINT\_REQUEST\_SUCCESS Failed Complaint Request from Biller/Agent - COMPLAINT\_REQUEST\_FAILED Successful Complaint Closure Request - COMPLAINT\_CLOSURE\_REQUEST\_SUCCESS Failed Complaint Closure Request - COMPLAINT\_CLOSURE\_REQUEST\_FAILED Successful Complaint Reopen Request - COMPLAINT\_REOPEN\_REQUEST\_SUCCESS Failed Complaint Reopen Request - COMPLAINT\_REOPEN\_REQUEST\_FAILED Successful Complaint Reassign request from COU - COMPLAINT\_REASSIGN\_REQUEST\_SUCCESS Failed Complaint Reassign request from COU -COMPLAINT\_REASSIGN\_REQUEST\_FAILED ReAssigned Complaints - COMPLAINT\_REASSIGN\_SUCCESS ReAssign Failed Complaints - COMPLAINT\_REASSIGN\_FAILED


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/view-all-complaints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
